{
    "name": "yc_ops_admin_ts",
    "private": true,
    "version": "1.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite",
        "serve": "vite",
        "build:dev": "vue-tsc && vite build --mode development",
        "build:test": "vue-tsc && vite build --mode test",
        "build:pro": "vue-tsc && vite build --mode production",
        "type:check": "vue-tsc --noEmit --skipLibCheck",
        "preview": "npm run build:dev && vite preview",
        "lint:eslint": "eslint --fix --ext .js,.ts,.vue ./src",
        "lint:prettier": "prettier --write \"src/**/*.{js,ts,json,tsx,css,less,scss,vue,html,md}\"",
        "lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
        "lint:lint-staged": "lint-staged",
        "prepare": "husky install",
        "release": "standard-version",
        "commit": "git add -A && czg && git push"
    },
    "dependencies": {
        "@element-plus/icons-vue": "^2.1.0",
        "@types/decimal.js": "^7.4.0",
        "@vueup/vue-quill": "^1.2.0",
        "@vueuse/core": "^10.1.2",
        "@wangeditor/editor": "^5.1.23",
        "@wangeditor/editor-for-vue": "^5.1.12",
        "async-validator": "^4.2.5",
        "axios": "^1.4.0",
        "bwip-js": "^4.3.2",
        "crypto-js": "^4.2.0",
        "dayjs": "^1.11.9",
        "decimal": "^0.0.2",
        "default-passive-events": "^2.0.0",
        "driver.js": "^0.9.8",
        "element-plus": "^2.3.4",
        "file-saver": "^2.0.5",
        "js-md5": "^0.7.3",
        "jsbarcode": "^3.11.6",
        "jsonpack": "^1.1.5",
        "lodash-es": "^4.17.21",
        "mavon-editor": "^3.0.2",
        "mitt": "^3.0.0",
        "nprogress": "^0.2.0",
        "pinia": "^2.1.3",
        "pinia-plugin-persistedstate": "^3.1.0",
        "print-js": "^1.6.0",
        "qs": "^6.13.1",
        "quill": "^2.0.3",
        "sortablejs": "^1.15.0",
        "vue": "^3.3.4",
        "vue-router": "^4.2.2",
        "vuedraggable": "^4.1.0",
        "vxe-table": "^4.5.0-beta.10",
        "xe-utils": "^3.5.11",
        "xlsx": "^0.18.5"
    },
    "devDependencies": {
        "@commitlint/cli": "^17.6.3",
        "@commitlint/config-conventional": "^17.6.3",
        "@iconify-json/ep": "^1.1.10",
        "@types/crypto-js": "^4.2.2",
        "@types/file-saver": "^2.0.5",
        "@types/js-md5": "^0.7.0",
        "@types/nprogress": "^0.2.0",
        "@types/qs": "^6.9.7",
        "@types/sortablejs": "^1.15.1",
        "@typescript-eslint/eslint-plugin": "^5.59.7",
        "@typescript-eslint/parser": "^5.59.7",
        "@vitejs/plugin-vue": "^4.2.3",
        "@vitejs/plugin-vue-jsx": "^3.0.1",
        "autoprefixer": "^10.4.14",
        "cz-git": "^1.6.1",
        "czg": "^1.6.1",
        "eslint": "^8.41.0",
        "eslint-config-prettier": "^8.8.0",
        "eslint-plugin-prettier": "^4.2.1",
        "eslint-plugin-vue": "^9.14.0",
        "husky": "^8.0.3",
        "lint-staged": "^13.2.2",
        "postcss": "^8.4.23",
        "postcss-html": "^1.5.0",
        "prettier": "^2.8.8",
        "qrcode": "^1.5.3",
        "rollup-plugin-visualizer": "^5.9.0",
        "sass": "^1.62.1",
        "standard-version": "^9.5.0",
        "stylelint": "^15.6.2",
        "stylelint-config-html": "^1.1.0",
        "stylelint-config-recess-order": "^4.0.0",
        "stylelint-config-recommended-scss": "^12.0.0",
        "stylelint-config-recommended-vue": "^1.4.0",
        "stylelint-config-standard": "^33.0.0",
        "stylelint-config-standard-scss": "^9.0.0",
        "typescript": "^5.0.2",
        "unplugin-auto-import": "^0.16.4",
        "unplugin-icons": "^0.16.3",
        "unplugin-vue-components": "^0.25.1",
        "unplugin-vue-setup-extend-plus": "^1.0.0",
        "vite": "^4.3.9",
        "vite-plugin-compression": "^0.5.1",
        "vite-plugin-eslint": "^1.8.1",
        "vite-plugin-html": "^3.2.0",
        "vite-plugin-pwa": "^0.15.0",
        "vite-plugin-svg-icons": "^2.0.1",
        "vue-tsc": "^1.6.5"
    },
    "engines": {
        "node": ">=16.0.0"
    },
    "browserslist": {
        "production": [
            "> 1%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    },
    "config": {
        "commitizen": {
            "path": "node_modules/cz-git"
        }
    }
}
